Index: extensions/ConcoursPhoto/language/sk_SK/description.txt
===================================================================
--- extensions/ConcoursPhoto/language/sk_SK/description.txt	(revision 9512)
+++ extensions/ConcoursPhoto/language/sk_SK/description.txt	(revision 9512)
@@ -0,0 +1,1 @@
+Vytvorenie hodnotenia fotky so špeciálnymi kritériami na Piwigo
Index: extensions/ConcoursPhoto/language/sk_SK/help/index.php
===================================================================
--- extensions/ConcoursPhoto/language/sk_SK/help/index.php	(revision 9512)
+++ extensions/ConcoursPhoto/language/sk_SK/help/index.php	(revision 9512)
@@ -0,0 +1,35 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $RCSfile$
+// | last update   : $Date: 2006-03-15 23:44:35 +0100 (mer., 15 mars 2006) $
+// | last modifier : $Author: plg $
+// | revision      : $Revision: 1082 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// recursive call of index.php
+
+$url = '../index.php';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/ConcoursPhoto/language/sk_SK/help/plugin.lang.php
===================================================================
--- extensions/ConcoursPhoto/language/sk_SK/help/plugin.lang.php	(revision 9512)
+++ extensions/ConcoursPhoto/language/sk_SK/help/plugin.lang.php	(revision 9512)
@@ -0,0 +1,49 @@
+<?php
+/*
+ * Plugin Name: ConcoursPhoto (help)
+ * File :  plugin.lang.php
+* Lang : SK
+ */
+
+
+$lang['ConcoursPhoto_Fonctionality']	= 'Popis funkčnosti doplnku ConcoursPhotoin';
+$lang['CC_Function']                    = 'Nastaviť hodnotenie Vašej fotografie vo Vašich galériách';
+$lang['CC_hlp_1_1']                     = 'Pridať hodnotenie do existujúcich albumov/kategórií';
+$lang['CC_hlp_1_2']                     = 'Automatický začiatok a koniec hodnotenia';
+$lang['CC_hlp_1_3']                     = 'Uložiť údaje používateľov';
+$lang['CC_hlp_1_4']                     = 'Ovládanie kritérií a podkritérií každého hodnotenia';
+$lang['CC_hlp_1_5']                     = 'Generovanie výsledkov + CSV export';
+$lang['CC_hlp_1_6']                     = '';
+
+$lang['CC_Usage']                       = 'Používanie doplnku';
+
+$lang['CC_Create_step1']                = 'Vytvorenie hodnotenia - Stupeň 1';
+$lang['CC_Create_step2']                = 'Vytvorenie hodnotenia - Stupeň 2';
+$lang['CC_usage']                       = 'Používanie (používatelia)';
+$lang['CC_result']                      = 'Generovanie výsledkov';
+
+
+$lang['CC_hlp_C1_1']          = 'Vytvorenie hodnotenia cez usporiadanie údajov názov, popis';   
+$lang['CC_hlp_C1_2']          = 'potom označení majú povolenie hlasovať v hodnotení. Bez označenia ==> povolené pre všetkých používateľov';   
+$lang['CC_hlp_C1_3']          = '<i>Možnosť povolenia hlasovania pre Hostí kliknutím na voľbu</i>';   
+$lang['CC_hlp_C1_4']          = 'Vyplnenie začiatku a konca dátumu a hodiny. Povolenie automatického hodnotenia od začiatku po koniec';   
+$lang['CC_hlp_C1_5']          = 'Zvoliť metódu výsledku: sumárne alebo priemerne';   
+$lang['CC_hlp_C1_6']          = 'Označenie kategórie kde je hodnotenie aktívne';   
+
+$lang['CC_hlp_C2_1']          = 'Pri stupni 1 je možné modifikovať kritériá pre hodnotenie';
+$lang['CC_hlp_C2_2']          = 'Predvolené, predvolené kritériá sú pridané do aktuálneho hodnotenia. Potom je možné pridávať/opravovať/mazať kritériá';
+$lang['CC_hlp_C2_3']          = 'Kritériá a podkritériá obsahujúce meno, popis, min a max hodnoty a koeficient';
+$lang['CC_hlp_C2_4']          = 'Upozornenie: Kritériá s podkategóriami nemajú min a max hodnoty. Hodnota je počítaná zo sumáru podkritérií';
+
+$lang['CC_hlp_C3_1']          = 'Pre používateľov, hodnotenie je aktívne len pre definované dátumy';
+$lang['CC_hlp_C3_2']          = 'Používateľ môže hlasovať za fotku v hodnotení';
+$lang['CC_hlp_C3_3']          = 'hlasovanie je uložené a je možné zmeniť hlasovanie pred a po hdonotení';
+$lang['CC_hlp_C3_4']          = 'Ak je concours uzavretý, používateľ nemôže hlasovať. V priebehu hodnotenia je možné (na administrátorskej stránke) kontrolovať výsledok hodnotenia.';
+
+$lang['CC_hlp_C4_1']          = 'Ak je hodnotenie uzavreté je možné (na administrátorskej stránke) generovať výsledok';
+$lang['CC_hlp_C4_2']          = 'Ak je výsledok vygenerovaný, používatelia si môžu informáciu pozrieť na stránke výsledku (určená stránka)';
+$lang['CC_hlp_C4_3']          = 'Na administrátorskej stránke je možné exportovať súbor do CSF';
+$lang['CC_hlp_C4_4']          = '';
+
+
+?>
Index: extensions/ConcoursPhoto/language/sk_SK/index.php
===================================================================
--- extensions/ConcoursPhoto/language/sk_SK/index.php	(revision 9512)
+++ extensions/ConcoursPhoto/language/sk_SK/index.php	(revision 9512)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/ConcoursPhoto/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/ConcoursPhoto/language/sk_SK/plugin.lang.php	(revision 9512)
+++ extensions/ConcoursPhoto/language/sk_SK/plugin.lang.php	(revision 9512)
@@ -0,0 +1,108 @@
+<?php
+/*
+ * Plugin Name: ConcoursPhoto
+ * File :  plugin.lang.php
+* Lang : SK 
+ */
+
+
+$lang['concours_save']	 				= 'Uložiť';
+$lang['concours_RAZ']	 				= 'Resetnúť';
+$lang['concours_admin_edit']	 		= 'Opraviť';
+$lang['concours_result']	 			= 'Výsledok hodnotenia';
+$lang['concours_add']	 				= 'Pridať hodnotenie';
+$lang['concours_id']	 				= 'Id';
+$lang['concours_id2']	 				= 'Id.';
+$lang['concours_name']	 				= 'Názov';
+$lang['concours_descr']	 				= 'Popis';
+$lang['concours_activation_date']					= 'Doba hodnotenia';
+$lang['concours_nb_jours']	 			= 'Počas';
+$lang['jours']	 				        = 'Dní';
+$lang['concours_category_select']		= 'Označené kategórie';
+$lang['concours_authorized_group']		= 'Authorizované skupiny';
+$lang['concours_begin_date']	 		= 'Začiatok dátumu';
+$lang['concours_end_date']	 			= 'Koniec dátumu';
+$lang['concours_criterias']	 			= 'Hodnotiace kritériá';
+$lang['concours_min_value']	 			= 'Min.';
+$lang['concours_max_value']	 			= 'Max.';
+$lang['concours_coef']	 				= 'Koef.';
+$lang['criteria_edit']	 				= 'Opraviť kritérium';
+$lang['criteria_delete']	 			= 'Vymazať kritérium';
+$lang['criteria_add']	 				= 'Pridať kritérium';
+$lang['subcriteria_add']	 			= 'Pridať podkritérium';
+$lang['concours_actions']	 			= 'Akcie';
+$lang['concours_admin_title']	 	    = 'Nastavenie doplnku "Concours Photo"';
+$lang['default_criteria']	 			= 'Predvolené kritériá';
+$lang['concours_add_criteria']	 		= 'Pridať podkritérium';
+$lang['concours_criteria_submit']	 	= 'Platné kritérium';
+$lang['manage_concours']	 			= 'Ovládanie hodnotenia';
+$lang['prepared_concours']	 			= 'Pripravené neaktívne hodnotenia';
+$lang['active_concours']	 			= 'Aktívne hodnotenie';
+$lang['closed_concours']	 			= 'Hodnotenie uzavreté';
+$lang['concours_result']	 			= 'Generovane výsledku';
+$lang['concours_file']	 				= 'Nahrať súbor výsledku';
+$lang['concours_create_date']	 		= 'Vytvoriť dátum';
+$lang['concours_management']	 		= 'Ovládanie hodnotenia';
+$lang['concours_edit']	 				= 'Opraviť hodnotenie';
+$lang['concours_delete']	 			= 'Vymazať hodnotenie';
+$lang['concours_add']	 				= 'Pridať hodnotenie';
+$lang['concours_config']	 			= 'Prednastavené hodnotenie';
+$lang['concours_admin_add']             = $lang['concours_add'];
+$lang['concours_comment']		    	= 'Poznámky o fotke';
+$lang['concours_result_page']	    	= 'Výsledok hodnotenia';
+$lang['concours_img_author']	    	= 'Skryté pre hodnotenie';
+$lang['concours_1st']			    	= '.';
+$lang['concours_2nd']			    	= '.';
+$lang['concours_3rd']			    	= '.';
+$lang['concours_4th']			    	= '.';
+$lang['concours_submit']		    	= 'Potvrdiť';
+$lang['concours_params']		    	= 'Hlavné parametre';
+$lang['concours_show_menubar']	    	= 'Ukázať menu "Výsledok hodnotenia"';
+$lang['concours_nb_concours_menubar']	= 'Počet výsledkov na zobrazenie';
+$lang['concours_result_files']			= 'Generátor súborov výsledkov hodnotenia';
+$lang['concours_result_file_list']		= 'Zoznam súborov výsledkov hodnotenia, ktoré môžu byť nahraté (prípadne aj keď hodnotenie bolo vymazané)';
+$lang['concours_no_result_file']		= 'Žiadne súbory hodnotenia';
+
+$lang['concours_date_from']             = 'Počiatočný dátum';
+$lang['concours_date_end']              = 'Konečný dátum';
+$lang['concours_hour_from']             = 'Počiatočná hodina';
+$lang['concours_hour_to']               = 'Konečná hodina';
+
+$lang['concours_mask_author']           =  'Zakryť autora pre pripravené neaktívne hodnotenie';
+$lang['concours_mask_exif']             =  'Zakryť EXIF/IPTC údaje pre pripravené neaktívne hodnotenie';
+
+$lang['thumbnail_global_note']          = 'Bodovanie hodnotenia';
+$lang['concours_thumb_note']            = 'Pridať celkovú poznámku pod náhľadmi';
+$lang['concours_global_user_note']      = 'Celkovo registrovaných';
+
+
+$lang['concours_activ_from']            = 'Hodnotenie aktívnych od ';
+$lang['concours_activ_to']              = ' do ';
+$lang['concours_method']                = 'Úroveň výpočtovej metódy';
+$lang['concours_method1']               = 'Súčet bodov';
+$lang['concours_method2']               = 'Priemer bodov';
+
+$lang['concours_note']                  = 'Celkovo bodov';
+$lang['concours_moyenne']               = 'Priemer';
+$lang['concours_nbvotant']              = 'Počet hlasovaní';
+$lang['concours_usernote']              = 'Vaše body';
+$lang['concours_infos']                 = 'Informácia o hodnotení';
+$lang['concours_audit']                 = 'Kontrola';
+$lang['concours_audit1']                = 'Kontrola hodnotenia';
+$lang['concours_author']                = 'Autor';
+$lang['NO_concours']                    = 'Bez hodnotenia';
+$lang['concours_username_selection']    = 'Označiť používateľa';
+$lang['all_users']                      = '-- Všetci --';
+$lang['concours_check_exaequo']         = 'Ovládanie exaequos';
+$lang['concours_author_vote']           = 'Povoliť autorovi fotografie hlasovať (zakázať kontrolu na používateľ/autor)';
+$lang['concours_change_score']          = 'Povoliť používateľovi zmeniť jeho bodovanie po kontrole';
+$lang['concours_end_date_change_to']    = 'Konečný dátum zmenený na %s';
+$lang['concours_saved']                 = 'Hodnotenie %s-%s uložené';
+$lang['concoursphoto']                  = 'Hodnotenie fotky';
+$lang['concours_saveOK']                = 'Parametre uložené';
+$lang['concours_help']                  = 'Pomoc';
+
+$lang['concours_allow_guest']           = 'Povoliť návštevníkom';
+$lang['concours_admin_help']            = 'Návod/Pomoc pre doplnok ConcoursPhoto'; 
+$lang['concours_audit_page']            = 'Kontrola hodnotenia';
+?>