Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 9513)
+++ /trunk/language/ar_SA/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: العربية [AR]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=412
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 9513)
+++ /trunk/language/ca_ES/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Catalan [CA]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=413
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 9513)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 9514)
@@ -24,4 +24,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Česky [CZ]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=414
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 9513)
+++ /trunk/language/da_DK/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Dansk [DK]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=415
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 9513)
+++ /trunk/language/de_DE/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Deutsch [DE]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=416
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 9513)
+++ /trunk/language/en_UK/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: English [UK]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=417
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 $lang_info['language_name'] = "English";
Index: /trunk/language/es_AR/common.lang.php
===================================================================
--- /trunk/language/es_AR/common.lang.php	(revision 9513)
+++ /trunk/language/es_AR/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Español [AR]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=418
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 9513)
+++ /trunk/language/es_ES/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Español [ES]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=169
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 9513)
+++ /trunk/language/fa_IR/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: فارسی [IR]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=419
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 $lang_info['language_name'] = "فارسی";
Index: /trunk/language/fr_CA/common.lang.php
===================================================================
--- /trunk/language/fr_CA/common.lang.php	(revision 9513)
+++ /trunk/language/fr_CA/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Français [QC]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=420
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 9513)
+++ /trunk/language/fr_FR/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Français [FR]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=421
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/he_IL/common.lang.php
===================================================================
--- /trunk/language/he_IL/common.lang.php	(revision 9513)
+++ /trunk/language/he_IL/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: עברית [IL]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=457
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 $lang_info['language_name'] = "Hebrew";
Index: /trunk/language/hr_HR/common.lang.php
===================================================================
--- /trunk/language/hr_HR/common.lang.php	(revision 9513)
+++ /trunk/language/hr_HR/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Hrvatski [HR]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=422
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 9513)
+++ /trunk/language/hu_HU/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Magyar [HU]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=423
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 9513)
+++ /trunk/language/it_IT/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Italiano [IT]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=424
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 9513)
+++ /trunk/language/ja_JP/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: 日本語 [JP]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=425
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/ka_GE/common.lang.php
===================================================================
--- /trunk/language/ka_GE/common.lang.php	(revision 9513)
+++ /trunk/language/ka_GE/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: ქართული [GE]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=426
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/lv_LV/common.lang.php
===================================================================
--- /trunk/language/lv_LV/common.lang.php	(revision 9513)
+++ /trunk/language/lv_LV/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Latviešu [LV]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=427
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/mk_MK/common.lang.php
===================================================================
--- /trunk/language/mk_MK/common.lang.php	(revision 9513)
+++ /trunk/language/mk_MK/common.lang.php	(revision 9514)
@@ -24,4 +24,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Македонски [MK]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=428
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 9513)
+++ /trunk/language/nl_NL/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Nederlands [NL]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=429
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/no_NO/common.lang.php
===================================================================
--- /trunk/language/no_NO/common.lang.php	(revision 9513)
+++ /trunk/language/no_NO/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Norwegian [NO]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=483
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 $lang_info['language_name'] = "Norwegian";
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 9513)
+++ /trunk/language/pl_PL/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Polski [PL]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=430
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/pt_BR/common.lang.php
===================================================================
--- /trunk/language/pt_BR/common.lang.php	(revision 9513)
+++ /trunk/language/pt_BR/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Brasil [BR]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=431
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 9513)
+++ /trunk/language/pt_PT/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Português [PT]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=432
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/ro_RO/common.lang.php
===================================================================
--- /trunk/language/ro_RO/common.lang.php	(revision 9513)
+++ /trunk/language/ro_RO/common.lang.php	(revision 9514)
@@ -24,4 +24,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Română [RO]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=433
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 9513)
+++ /trunk/language/ru_RU/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Русский [RU]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=434
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/sh_RS/common.lang.php
===================================================================
--- /trunk/language/sh_RS/common.lang.php	(revision 9513)
+++ /trunk/language/sh_RS/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Srpski [SR]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=435
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 9513)
+++ /trunk/language/sk_SK/common.lang.php	(revision 9514)
@@ -24,4 +24,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Slovensky [SK]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=452
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/sl_SL/common.lang.php
===================================================================
--- /trunk/language/sl_SL/common.lang.php	(revision 9513)
+++ /trunk/language/sl_SL/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Slovenšcina [SL]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=453
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 $lang_info['language_name'] = 'slovenščina';
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 9513)
+++ /trunk/language/sr_RS/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Српски [SR]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=458
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/sv_SE/common.lang.php
===================================================================
--- /trunk/language/sv_SE/common.lang.php	(revision 9513)
+++ /trunk/language/sv_SE/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Svenska [SE]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=451
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 9513)
+++ /trunk/language/tr_TR/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Türkçe [TR]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=436
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 9513)
+++ /trunk/language/vi_VN/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: Tiếng Việt [VN]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=437
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 9513)
+++ /trunk/language/zh_CN/common.lang.php	(revision 9514)
@@ -21,4 +21,11 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
+/*
+Language Name: 简体中文 [CN]
+Version: auto
+Language URI: http://piwigo.org/ext/extension_view.php?eid=438
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
 
 // Langage informations