Index: /extensions/NBM_Subscriber/changelog.txt.php
===================================================================
--- /extensions/NBM_Subscriber/changelog.txt.php	(revision 9528)
+++ /extensions/NBM_Subscriber/changelog.txt.php	(revision 9529)
@@ -10,4 +10,5 @@
 -- 1.0.1 : Multilanguage bug fixed
 -- 1.0.2 : Bug fixed on adding new users in NBM list
+-- 1.0.3 : Localisation files update
 */
 ?>
Index: /extensions/NBM_Subscriber/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBM_Subscriber/language/de_DE/plugin.lang.php	(revision 9528)
+++ /extensions/NBM_Subscriber/language/de_DE/plugin.lang.php	(revision 9529)
@@ -7,12 +7,12 @@
 $lang['NBMS_Infos'] = 'Was ist das?';
 /* TODO */$lang['NBMS_Infos_Text'] = 'Piwigo offers two modes of notification of changes in the gallery:<br>
-- The RSS notification, accessible by all visitors (even if not registered) via "Notification"<br>
-- Delivery by mail (NBM), accessible only by an administrator or webmaster that, can be likened to a newsletter
+- The RSS notification, usable by all visitors (even if not registered) in "Notification" menu<br>
+- Notification by mail (NBM), usable only by an administrator or webmaster that is similar to a newsletter
 <br><br>
-The idea of this plugin is to offer every <b><u>registered</u></b> visitor can subscribe or unsubscribe themselves from the NBM when he wants. To do this, simply activate the plugin (if you read this message, it means it\'s already done) to see a new option appear in the customize page of the visitor profile.
+The goal of this plugin is to offer to every <b><u>registered</u></b> visitor to subscribe or unsubscribe themselves from the NBM when he wants. To do this, simply activate the plugin (if you read this message, it means it\'s already done) to see a new option appear in the visitor\'s profile page.
 <br><br>
-<b>Important</b>: If a visitor subscribes or unsubscribes from the NBM through it, no email confirmation will be sent from the gallery as is the case when an administrator does this through administration panel. This operation is intended to avoid negative behaviors of some visitors that would lead to a saturation of emails sending from the gallery.
+<b>Important</b> : If a visitor subscribes or unsubscribes from the NBM through it, no email confirmation will be sent from the gallery as is the case when an administrator does this through administration panel. This operation is intended to avoid negative behaviors of some visitors that would lead to a saturation of emails sending from the gallery.
 <br><br>
-PS: This plugin does not support the visitor information on the availability of this new option. You, Administrator / Webmaster, have to implement an information medium attached. For this, the plugin PWG_Stuffs is perfect ;-)';
+Note : This plugin does not support the visitor information on the availability of this new option. You, Administrator / Webmaster, have to implement an information medium attached. For this, the plugin PWG_Stuffs wil be perfect ;-)';
 /* TODO */$lang['NBMS_Support'] = 'The support on this plugin is only on this Piwigo\'s forum thread:<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=16020" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=16020</a>';
Index: /extensions/NBM_Subscriber/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBM_Subscriber/language/en_UK/plugin.lang.php	(revision 9528)
+++ /extensions/NBM_Subscriber/language/en_UK/plugin.lang.php	(revision 9529)
@@ -7,12 +7,12 @@
 $lang['NBMS_Infos'] = 'What is it?';
 $lang['NBMS_Infos_Text'] = 'Piwigo offers two modes of notification of changes in the gallery:<br>
-- The RSS notification, accessible by all visitors (even if not registered) via "Notification"<br>
-- Delivery by mail (NBM), accessible only by an administrator or webmaster that, can be likened to a newsletter
+- The RSS notification, usable by all visitors (even if not registered) in "Notification" menu<br>
+- Notification by mail (NBM), usable only by an administrator or webmaster that is similar to a newsletter
 <br><br>
-The idea of this plugin is to offer every <b><u>registered</u></b> visitor can subscribe or unsubscribe themselves from the NBM when he wants. To do this, simply activate the plugin (if you read this message, it means it\'s already done) to see a new option appear in the customize page of the visitor profile.
+The goal of this plugin is to offer to every <b><u>registered</u></b> visitor to subscribe or unsubscribe themselves from the NBM when he wants. To do this, simply activate the plugin (if you read this message, it means it\'s already done) to see a new option appear in the visitor\'s profile page.
 <br><br>
-<b>Important</b>: If a visitor subscribes or unsubscribes from the NBM through it, no email confirmation will be sent from the gallery as is the case when an administrator does this through administration panel. This operation is intended to avoid negative behaviors of some visitors that would lead to a saturation of emails sending from the gallery.
+<b>Important</b> : If a visitor subscribes or unsubscribes from the NBM through it, no email confirmation will be sent from the gallery as is the case when an administrator does this through administration panel. This operation is intended to avoid negative behaviors of some visitors that would lead to a saturation of emails sending from the gallery.
 <br><br>
-PS: This plugin does not support the visitor information on the availability of this new option. You, Administrator / Webmaster, have to implement an information medium attached. For this, the plugin PWG_Stuffs is perfect ;-)';
+Note : This plugin does not support the visitor information on the availability of this new option. You, Administrator / Webmaster, have to implement an information medium attached. For this, the plugin PWG_Stuffs wil be perfect ;-)';
 $lang['NBMS_Support'] = 'The support on this plugin is only on this Piwigo\'s forum thread:<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=16020" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=16020</a>';
Index: /extensions/NBM_Subscriber/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBM_Subscriber/language/es_ES/plugin.lang.php	(revision 9528)
+++ /extensions/NBM_Subscriber/language/es_ES/plugin.lang.php	(revision 9529)
@@ -7,12 +7,12 @@
 $lang['NBMS_Infos'] = '¿Qué es?';
 /* TODO */$lang['NBMS_Infos_Text'] = 'Piwigo offers two modes of notification of changes in the gallery:<br>
-- The RSS notification, accessible by all visitors (even if not registered) via "Notification"<br>
-- Delivery by mail (NBM), accessible only by an administrator or webmaster that, can be likened to a newsletter
+- The RSS notification, usable by all visitors (even if not registered) in "Notification" menu<br>
+- Notification by mail (NBM), usable only by an administrator or webmaster that is similar to a newsletter
 <br><br>
-The idea of this plugin is to offer every <b><u>registered</u></b> visitor can subscribe or unsubscribe themselves from the NBM when he wants. To do this, simply activate the plugin (if you read this message, it means it\'s already done) to see a new option appear in the customize page of the visitor profile.
+The goal of this plugin is to offer to every <b><u>registered</u></b> visitor to subscribe or unsubscribe themselves from the NBM when he wants. To do this, simply activate the plugin (if you read this message, it means it\'s already done) to see a new option appear in the visitor\'s profile page.
 <br><br>
-<b>Important</b>: If a visitor subscribes or unsubscribes from the NBM through it, no email confirmation will be sent from the gallery as is the case when an administrator does this through administration panel. This operation is intended to avoid negative behaviors of some visitors that would lead to a saturation of emails sending from the gallery.
+<b>Important</b> : If a visitor subscribes or unsubscribes from the NBM through it, no email confirmation will be sent from the gallery as is the case when an administrator does this through administration panel. This operation is intended to avoid negative behaviors of some visitors that would lead to a saturation of emails sending from the gallery.
 <br><br>
-PS: This plugin does not support the visitor information on the availability of this new option. You, Administrator / Webmaster, have to implement an information medium attached. For this, the plugin PWG_Stuffs is perfect ;-)';
+Note : This plugin does not support the visitor information on the availability of this new option. You, Administrator / Webmaster, have to implement an information medium attached. For this, the plugin PWG_Stuffs wil be perfect ;-)';
 /* TODO */$lang['NBMS_Support'] = 'The support on this plugin is only on this Piwigo\'s forum thread:<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=16020" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=16020</a>';
Index: /extensions/NBM_Subscriber/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBM_Subscriber/language/it_IT/plugin.lang.php	(revision 9528)
+++ /extensions/NBM_Subscriber/language/it_IT/plugin.lang.php	(revision 9529)
@@ -7,12 +7,12 @@
 $lang['NBMS_Infos'] = 'Che cosa è?';
 /* TODO */$lang['NBMS_Infos_Text'] = 'Piwigo offers two modes of notification of changes in the gallery:<br>
-- The RSS notification, accessible by all visitors (even if not registered) via "Notification"<br>
-- Delivery by mail (NBM), accessible only by an administrator or webmaster that, can be likened to a newsletter
+- The RSS notification, usable by all visitors (even if not registered) in "Notification" menu<br>
+- Notification by mail (NBM), usable only by an administrator or webmaster that is similar to a newsletter
 <br><br>
-The idea of this plugin is to offer every <b><u>registered</u></b> visitor can subscribe or unsubscribe themselves from the NBM when he wants. To do this, simply activate the plugin (if you read this message, it means it\'s already done) to see a new option appear in the customize page of the visitor profile.
+The goal of this plugin is to offer to every <b><u>registered</u></b> visitor to subscribe or unsubscribe themselves from the NBM when he wants. To do this, simply activate the plugin (if you read this message, it means it\'s already done) to see a new option appear in the visitor\'s profile page.
 <br><br>
-<b>Important</b>: If a visitor subscribes or unsubscribes from the NBM through it, no email confirmation will be sent from the gallery as is the case when an administrator does this through administration panel. This operation is intended to avoid negative behaviors of some visitors that would lead to a saturation of emails sending from the gallery.
+<b>Important</b> : If a visitor subscribes or unsubscribes from the NBM through it, no email confirmation will be sent from the gallery as is the case when an administrator does this through administration panel. This operation is intended to avoid negative behaviors of some visitors that would lead to a saturation of emails sending from the gallery.
 <br><br>
-PS: This plugin does not support the visitor information on the availability of this new option. You, Administrator / Webmaster, have to implement an information medium attached. For this, the plugin PWG_Stuffs is perfect ;-)';
+Note : This plugin does not support the visitor information on the availability of this new option. You, Administrator / Webmaster, have to implement an information medium attached. For this, the plugin PWG_Stuffs wil be perfect ;-)';
 /* TODO */$lang['NBMS_Support'] = 'The support on this plugin is only on this Piwigo\'s forum thread:<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=16020" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=16020</a>';
Index: /extensions/NBM_Subscriber/main.inc.php
===================================================================
--- /extensions/NBM_Subscriber/main.inc.php	(revision 9528)
+++ /extensions/NBM_Subscriber/main.inc.php	(revision 9529)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: NBM Subscriber
-Version: 1.0.2
+Version: 1.0.3
 Description: Permet aux visiteurs inscrits de gérer eux-même leur abonnement à la notification par mail (NBM) - Allows registered visitors to manage their own subscription to the notification by mail (NBM)
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=397