Index: /extensions/virtualize/language/de_De/description.txt
===================================================================
--- /extensions/virtualize/language/de_De/description.txt	(revision 9567)
+++ /extensions/virtualize/language/de_De/description.txt	(revision 9567)
@@ -0,0 +1,1 @@
+Wandelt physische Kategorien in virtuelle um und verschiebt die Fotos von "galleries" nach "upload"
Index: /extensions/virtualize/language/de_De/plugin.lang.php
===================================================================
--- /extensions/virtualize/language/de_De/plugin.lang.php	(revision 9567)
+++ /extensions/virtualize/language/de_De/plugin.lang.php	(revision 9567)
@@ -0,0 +1,26 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2011      Pierrick LE GALL             http://piwigo.org |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['This plugin moves all your photos from <em>"galleries"</em> (added with the synchronization process) to <em>"upload"</em> and mark categories as virtual.'] = 'Dieses Plug-In verschiebt all Ihre Fotos von <em>"galleries"</em> (durch den Synchronisation Prozess hinzugefügt) nach <em>"upload"</em> und markiert Kategorien als virtuelle.';
+$lang['Make sure you have a backup of your <em>"galleries"</em> directory and a dump of your database.'] = 'Vergewissern Sie sich einen Backup des Ordners <em>"galleries"</em> und ein Abbild der Datenbank gemacht zu haben.';
+$lang['Once categories are virtual, you can move them the way you want.'] = 'Sobald die Kategorien virtuell sind, kann man diese nach Belieben verschieben.';
+$lang['Start to virtualize'] = 'Die Virtualisierung starten';
+?>
Index: /extensions/virtualize/language/it_IT/description.txt
===================================================================
--- /extensions/virtualize/language/it_IT/description.txt	(revision 9567)
+++ /extensions/virtualize/language/it_IT/description.txt	(revision 9567)
@@ -0,0 +1,1 @@
+Il plug-in rende le categorie virtuali e sposta le foto da "galleries" a "upload"
Index: /extensions/virtualize/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/virtualize/language/it_IT/plugin.lang.php	(revision 9567)
+++ /extensions/virtualize/language/it_IT/plugin.lang.php	(revision 9567)
@@ -0,0 +1,26 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2011      Pierrick LE GALL             http://piwigo.org |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['This plugin moves all your photos from <em>"galleries"</em> (added with the synchronization process) to <em>"upload"</em> and mark categories as virtual.'] = 'Questo plug-in sposta tutte le vostre foto da <em>"galleries"</em> (aggiunte tramite una sincronizzazione) a <em>"upload"</em> e segna le categorie come virtuali.';
+$lang['Make sure you have a backup of your <em>"galleries"</em> directory and a dump of your database.'] = 'Si assicuri di aver creato un backup della cartella <em>"galleries"</em> e una copia del database.';
+$lang['Once categories are virtual, you can move them the way you want.'] = 'Non appena le categorie sono virtuali, potrete spostarle a vostro gradimento.';
+$lang['Start to virtualize'] = 'Avviare la virtualizzazione';
+?>